petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscDTLegendreEval

evaluate Legendre polynomial at points

### Synopsis

    #include "petscdt.h"
    PetscErrorCode PetscDTLegendreEval(PetscInt npoints,const PetscReal *points,PetscInt ndegree,const PetscInt *degrees,PetscReal *B,PetscReal *D,PetscReal *D2)

Not Collective Many br

### Input Arguments

| npoints | - number of spatial points to evaluate at Many br
| points | - array of locations to evaluate at Many br
| ndegree | - number of basis degrees to evaluate Many br
| degrees | - sorted array of degrees to evaluate Many br

### Output Arguments

| B | - row-oriented basis evaluation matrix B[point*ndegree + degree] (dimension npoints*ndegrees, allocated by caller) (or NULL) Many br
| D | - row-oriented derivative evaluation matrix (or NULL) Many br
| D2 | - row-oriented second derivative evaluation matrix (or NULL) Many br

Many br

### See Also

PetscDTGaussQuadrature()

Level:intermediate
Location:src/dm/dt/interface/dt.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages